aboutsummaryrefslogtreecommitdiffstats
path: root/test/Makefile
diff options
context:
space:
mode:
authorXavier Leroy <xavier.leroy@inria.fr>2015-08-21 14:30:05 +0200
committerXavier Leroy <xavier.leroy@inria.fr>2015-08-21 14:30:05 +0200
commitc6567a3f0a16050fd04469fdcc7a575f81c0c8f4 (patch)
tree8c1dfa91baed0bd325a8691d7ccddd8f8d802be2 /test/Makefile
parent806872b5a7c8dc4e69e7b36bd49019af2871c70e (diff)
downloadcompcert-kvx-c6567a3f0a16050fd04469fdcc7a575f81c0c8f4.tar.gz
compcert-kvx-c6567a3f0a16050fd04469fdcc7a575f81c0c8f4.zip
test/regression: test packedstruct1 only if unaligned accesses are supported.
Also: exit on error when a test fails.
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/Makefile b/test/Makefile
index ab44be54..5aa115d8 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -4,7 +4,7 @@ all:
for i in $(DIRS); do $(MAKE) -C $$i all; done
test:
- for i in $(DIRS); do $(MAKE) -C $$i test; done
+ set -e; for i in $(DIRS); do $(MAKE) -C $$i test; done
bench:
for i in $(DIRS); do $(MAKE) -C $$i bench; done